Ask Your Question
0

GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for the given subject

asked 2013-04-09 06:58:33 -0500

sierro gravatar image

updated 2014-09-30 15:22:30 -0500

mether gravatar image

How can I fix this in Fedora 18,with an ex - XFCE desktop,now using Mate desktop!it does't afect my Fedora,but it's a little bit disturbing!

GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: An authentication agent already exists for the given subject

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-06-03 06:25:33 -0500

The most likely cause for your problem is that you have more than one authentication agent installed on your system.

PolicyKit will only accept one at a given time, so they end up competing with each other.

You can identify the offenders by running rpm -qa \*polkit\*. For example on my machine it returns:

$ rpm -qa \*polkit\*
polkit-0.107-4.fc18.x86_64
polkit-gnome-0.105-3.fc18.x86_64

The first package (called simply polkit) is PolicyKit itself, and the second one (polkit-gnome) is the authentication agent for GNOME.

If you see more than one authentication agent, then this is the cause of your problem, and you'll only need remove one of them for the error message to go away.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-04-09 06:58:33 -0500

Seen: 7,973 times

Last updated: Jun 03 '13